Home | All Classes | Grouped Classes | Index | Search

# CL_SpriteDescription::CL_SpriteDescription

Constructs a sprite description.

    	CL_SpriteDescription(
    		const std::string& resource_id, CL_ResourceManager* resources);

    	CL_SpriteDescription();

    	CL_SpriteDescription(
    		const CL_SpriteDescription& copy);

Parameters:

resource_id
  Resource name of a sprite description resource.
resources
  Resource manager used to load resource.

See also:

CL_ResourceManager | CL_Resource | CL_SpriteDescription | CL_Sprite

Questions or comments, write to the ClanLib mailing list.